<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__tcpwm__pwm__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_tcpwm_pwm_config_t</compoundname>
    <includes local="no">cy_tcpwm_pwm.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a4d95b8b2e7841f999f6994fa0a90bd2f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::pwmMode</definition>
        <argsstring />
        <name>pwmMode</name>
        <briefdescription>
<para>Sets the PWM mode. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__pwm__modes">PWM modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a877ff8bc42b17e292f6ae99e1b872cbc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::clockPrescaler</definition>
        <argsstring />
        <name>clockPrescaler</name>
        <briefdescription>
<para>Sets the clock prescaler inside the TCWPM block. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__pwm__clk__prescalers">PWM CLK Prescaler values</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="63" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a44305a03f21dd618f4dcd4f0020c1917" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::pwmAlignment</definition>
        <argsstring />
        <name>pwmAlignment</name>
        <briefdescription>
<para>Sets the PWM alignment. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__pwm__alignment">PWM Alignment</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a5d9f0c06f0bffd08b4edb01ce0d7524b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::deadTimeClocks</definition>
        <argsstring />
        <name>deadTimeClocks</name>
        <briefdescription>
<para>The number of dead time-clocks if PWM with dead time is chosen. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a51d03c2a00498ce0b1b5fa6db7ea3e00" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::runMode</definition>
        <argsstring />
        <name>runMode</name>
        <briefdescription>
<para>Sets the PWM run mode. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__pwm__run__modes">PWM run modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="66" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a502c5f5b7c9b737a8beb8109ce67d909" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::period0</definition>
        <argsstring />
        <name>period0</name>
        <briefdescription>
<para>Sets the period0 of the pwm. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="67" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="67" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a01da495f5693587cd938dde49b86e27a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::period1</definition>
        <argsstring />
        <name>period1</name>
        <briefdescription>
<para>Sets the period1 of the pwm. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1abc1a7dbd9280c93ab40f6c8a3841cd6a" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::enablePeriodSwap</definition>
        <argsstring />
        <name>enablePeriodSwap</name>
        <briefdescription>
<para>Enables swapping of period 0 and period 1 on terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="69" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="69" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a9dc7cf6224ef8902ebea75ed1920b982" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::compare0</definition>
        <argsstring />
        <name>compare0</name>
        <briefdescription>
<para>Sets the value for Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="70" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1ad2fe64efdc2c1f2c901b125d78b1660f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::compare1</definition>
        <argsstring />
        <name>compare1</name>
        <briefdescription>
<para>Sets the value for the buffered Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="71" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1aac5323478b85196369c2327a04998060" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::enableCompareSwap</definition>
        <argsstring />
        <name>enableCompareSwap</name>
        <briefdescription>
<para>If enabled, the compare values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="72" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1ad6b8cfe78481516baf3d1f1a0e9bdd07" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::interruptSources</definition>
        <argsstring />
        <name>interruptSources</name>
        <briefdescription>
<para>Enables an interrupt on the terminal count, capture or compare. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a9bf7f3c7133ff0c6e1d51c6b52d05997" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::invertPWMOut</definition>
        <argsstring />
        <name>invertPWMOut</name>
        <briefdescription>
<para>Inverts the PWM output. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="75" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="75" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a3eb0cc962444244b8200dafa2e8e856b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::invertPWMOutN</definition>
        <argsstring />
        <name>invertPWMOutN</name>
        <briefdescription>
<para>Inverts the PWM_n output. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="76" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1add150f9e27b83cc7549db22934cd4d00" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::killMode</definition>
        <argsstring />
        <name>killMode</name>
        <briefdescription>
<para>Configures the PWM kill modes. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__pwm__kill__modes">PWM kill modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="77" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a54e92c1a3430ac9eec906f281f55e71e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::swapInputMode</definition>
        <argsstring />
        <name>swapInputMode</name>
        <briefdescription>
<para>Configures how the swap input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a9dab503096fd210a7b909a4091676109" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::swapInput</definition>
        <argsstring />
        <name>swapInput</name>
        <briefdescription>
<para>Selects which input the swap uses. </para>        </briefdescription>
        <detaileddescription>
<para>Inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a5e74fc5810a9a76dcd22b96974f181f8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::reloadInputMode</definition>
        <argsstring />
        <name>reloadInputMode</name>
        <briefdescription>
<para>Configures how the reload input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="81" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="81" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1ada54c502dbeb46b60802fc60b602f05d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::reloadInput</definition>
        <argsstring />
        <name>reloadInput</name>
        <briefdescription>
<para>Selects which input the reload uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="83" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="83" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1ae0207c4144a26dd04c0e06b09f931da3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::startInputMode</definition>
        <argsstring />
        <name>startInputMode</name>
        <briefdescription>
<para>Configures how the start input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="84" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a8c931214b10404070b4fc713ba1ac339" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::startInput</definition>
        <argsstring />
        <name>startInput</name>
        <briefdescription>
<para>Selects which input the start uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="86" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a62e50e17cdcbeafb5af318149ca91312" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::killInputMode</definition>
        <argsstring />
        <name>killInputMode</name>
        <briefdescription>
<para>Configures how the kill input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="87" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="87" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1af1910e1d1df6bf11909f9a263051d8f7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::killInput</definition>
        <argsstring />
        <name>killInput</name>
        <briefdescription>
<para>Selects which input the kill uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="89" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="89" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a6e07285f605e430e0e0237a45fc44111" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::countInputMode</definition>
        <argsstring />
        <name>countInputMode</name>
        <briefdescription>
<para>Configures how the count input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1aadbc0571c713e50e3e5842b95917d18d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::countInput</definition>
        <argsstring />
        <name>countInput</name>
        <briefdescription>
<para>Selects which input the count uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="92" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="92" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a08a3c1c278c8ab71b53e524724884ae0" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::immediateKill</definition>
        <argsstring />
        <name>immediateKill</name>
        <briefdescription>
<para>Specifies whether the kill event immediately deactivates the dt_line_out and dt_line_compl_out or with the next module clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="93" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a4ab833ba26189e3ba6629232d53e7c55" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::tapsEnabled</definition>
        <argsstring />
        <name>tapsEnabled</name>
        <briefdescription>
<para>In pseudo random mode sets the enabled taps. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="94" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1ae6ed035bbfa0d3fa5679ea4bb50924c7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::compare2</definition>
        <argsstring />
        <name>compare2</name>
        <briefdescription>
<para>Sets the value for Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="95" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="95" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1acdb754662053122784d243bb24a2b88c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::compare3</definition>
        <argsstring />
        <name>compare3</name>
        <briefdescription>
<para>Sets the value for the buffered Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a17ae828fd1e2ee36f6b5ac127ceea493" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::enableCompare1Swap</definition>
        <argsstring />
        <name>enableCompare1Swap</name>
        <briefdescription>
<para>If enabled, the compare1 values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="97" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="97" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a8d5f4eec9667413ef5bce71b17cbb290" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::compare0MatchUp</definition>
        <argsstring />
        <name>compare0MatchUp</name>
        <briefdescription>
<para>Enables/Disables the compare match 0 event generation when counting up in CNT_UPDN1/2 mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="98" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a3f3ac2bd86bc28e7bd8bec2c48a2d851" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::compare0MatchDown</definition>
        <argsstring />
        <name>compare0MatchDown</name>
        <briefdescription>
<para>Enables/Disables the compare match 0 event generation when counting down in CNT_UPDN1/2 mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1aaf7c25d0757d3d317f5daeee454a1ddc" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::compare1MatchUp</definition>
        <argsstring />
        <name>compare1MatchUp</name>
        <briefdescription>
<para>Enables/Disables the compare match 1 event generation when counting up in CNT_UPDN1/2 mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="100" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1abc19964eb553599caf57189797359a14" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::compare1MatchDown</definition>
        <argsstring />
        <name>compare1MatchDown</name>
        <briefdescription>
<para>Enables/Disables the compare match 1 event generation when counting down in CNT_UPDN1/2 mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="101" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="101" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a9881156429143c0ecbd74c4c166b233c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::kill1InputMode</definition>
        <argsstring />
        <name>kill1InputMode</name>
        <briefdescription>
<para>Configures how the kill 1 input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="102" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a31e2e86f9438b4bc8c431a689819d4a4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::kill1Input</definition>
        <argsstring />
        <name>kill1Input</name>
        <briefdescription>
<para>Selects which input the kill 1 uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="103" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="103" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a7549cce3f2cf5df8639aaba0b5d133f8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::pwmOnDisable</definition>
        <argsstring />
        <name>pwmOnDisable</name>
        <briefdescription>
<para>Specifies the behavior of the PWM outputs line_out and line_compl_out while the TCPWM counter is disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="104" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1acebcc2f14d7a873c057e6de2975d0e1c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::lineModeSelect</definition>
        <argsstring />
        <name>lineModeSelect</name>
        <briefdescription>
<para>Selects the source for the output signal line_out. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="105" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a3e31d32e37a9f47d462fb5c7f6acf655" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::lineModeSelectN</definition>
        <argsstring />
        <name>lineModeSelectN</name>
        <briefdescription>
<para>Selects the source for the output signal line_compl_out. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="106" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="106" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1aaf6779706fe67569d750525dd9c55b2a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::lineBufModeSelect</definition>
        <argsstring />
        <name>lineBufModeSelect</name>
        <briefdescription>
<para>Buffered lineModeSelect which can be exchanged on a terminal count event with an actively pending switch event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="107" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1ac3ebc11d08367428b093ba7263c9943c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::lineBufModeSelectN</definition>
        <argsstring />
        <name>lineBufModeSelectN</name>
        <briefdescription>
<para>Buffered lineModeSelectN which can be exchanged on a terminal count event with an actively pending switch event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="108" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="108" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1acf6d09f7f6b8616b269792f1e0f6c20f" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_pwm_config_t::lineOutSwitching</definition>
        <argsstring />
        <name>lineOutSwitching</name>
        <briefdescription>
<para>If enabled, the pwm line mode values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="109" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1a775884a47833835b4a7e580923c38d9b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::trigger0Event</definition>
        <argsstring />
        <name>trigger0Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="110" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__pwm__config__t_1aee0bb4ff6834b9744e0b28398b0d2fa4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_pwm_config_t::trigger1Event</definition>
        <argsstring />
        <name>trigger1Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="111" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PWM configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="112" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_pwm.h" line="60" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a877ff8bc42b17e292f6ae99e1b872cbc" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>clockPrescaler</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a9dc7cf6224ef8902ebea75ed1920b982" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a3f3ac2bd86bc28e7bd8bec2c48a2d851" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare0MatchDown</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a8d5f4eec9667413ef5bce71b17cbb290" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare0MatchUp</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1ad2fe64efdc2c1f2c901b125d78b1660f" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare1</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1abc19964eb553599caf57189797359a14" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare1MatchDown</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1aaf7c25d0757d3d317f5daeee454a1ddc" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare1MatchUp</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1ae6ed035bbfa0d3fa5679ea4bb50924c7" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare2</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1acdb754662053122784d243bb24a2b88c" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>compare3</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1aadbc0571c713e50e3e5842b95917d18d" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>countInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a6e07285f605e430e0e0237a45fc44111" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>countInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a5d9f0c06f0bffd08b4edb01ce0d7524b" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>deadTimeClocks</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a17ae828fd1e2ee36f6b5ac127ceea493" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>enableCompare1Swap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1aac5323478b85196369c2327a04998060" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>enableCompareSwap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1abc1a7dbd9280c93ab40f6c8a3841cd6a" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>enablePeriodSwap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a08a3c1c278c8ab71b53e524724884ae0" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>immediateKill</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1ad6b8cfe78481516baf3d1f1a0e9bdd07" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>interruptSources</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a9bf7f3c7133ff0c6e1d51c6b52d05997" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>invertPWMOut</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a3eb0cc962444244b8200dafa2e8e856b" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>invertPWMOutN</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a31e2e86f9438b4bc8c431a689819d4a4" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>kill1Input</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a9881156429143c0ecbd74c4c166b233c" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>kill1InputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1af1910e1d1df6bf11909f9a263051d8f7" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>killInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a62e50e17cdcbeafb5af318149ca91312" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>killInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1add150f9e27b83cc7549db22934cd4d00" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>killMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1aaf6779706fe67569d750525dd9c55b2a" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>lineBufModeSelect</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1ac3ebc11d08367428b093ba7263c9943c" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>lineBufModeSelectN</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1acebcc2f14d7a873c057e6de2975d0e1c" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>lineModeSelect</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a3e31d32e37a9f47d462fb5c7f6acf655" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>lineModeSelectN</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1acf6d09f7f6b8616b269792f1e0f6c20f" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>lineOutSwitching</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a502c5f5b7c9b737a8beb8109ce67d909" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>period0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a01da495f5693587cd938dde49b86e27a" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>period1</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a44305a03f21dd618f4dcd4f0020c1917" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>pwmAlignment</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a4d95b8b2e7841f999f6994fa0a90bd2f" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>pwmMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a7549cce3f2cf5df8639aaba0b5d133f8" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>pwmOnDisable</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1ada54c502dbeb46b60802fc60b602f05d" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>reloadInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a5e74fc5810a9a76dcd22b96974f181f8" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>reloadInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a51d03c2a00498ce0b1b5fa6db7ea3e00" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>runMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a8c931214b10404070b4fc713ba1ac339" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>startInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1ae0207c4144a26dd04c0e06b09f931da3" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>startInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a9dab503096fd210a7b909a4091676109" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>swapInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a54e92c1a3430ac9eec906f281f55e71e" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>swapInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a4ab833ba26189e3ba6629232d53e7c55" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>tapsEnabled</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1a775884a47833835b4a7e580923c38d9b" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>trigger0Event</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__pwm__config__t_1aee0bb4ff6834b9744e0b28398b0d2fa4" virt="non-virtual"><scope>cy_stc_tcpwm_pwm_config_t</scope><name>trigger1Event</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>